
<div class="wrap">
<?php
require_once WPBW_TRACKER_PLUGIN_DIR . 'wp-botwatch.php';

WPBW_clear_logs();
?>
<div class="wrap">
	<a href="https://wpxhosting.com/" target="_blank"><img src="https://kmediatech.com/images/wpx-logo.svg" width="520" /></a>
	<h2 class="wp-botwatch-title"><strong>WP BotWatch</strong> By <a href="https://wpxhosting.com/page/fast-free-ssl-certificate-installed-in-under-10-seconds/" target="_blank">WPX Hosting</a> (the only WordPress hosting service <a href="https://thrivethemes.com/fast-hosting/" target="_blank">recommended by Thrive Themes</a>)</h2>

	<h2 class="large"><?php echo __('Clear WP BotWatch Logs', 'gbt');?> <span class="wp-botwatch-info tooltip" title="Log clearing functions here enable you to sculpt or refine information collected by WP BotWatch though cleared logs CANNOT BE UNDONE - be careful here!" style="margin-top:6px"></span></h2>
	<h2>(CANNOT be undone)</h2>
	<hr />
	<h3><?php echo __('Admin History Log', 'gbt');?></h3>
	<form method="POST">
		<ul class="fields-container">
			<li>
				<label for="start_date"><?php echo __('Start Date', 'gbt');?></label>
				<input type="text" value="<?php echo @$_REQUEST['start_date']; ?>" name="start_date" id="start_date" />
			</li>
			<li>
				<label for="end_date"><?php echo __('End Date', 'gbt');?></label>
				<input type="text" value="<?php echo @$_REQUEST['end_date']; ?>" name="end_date" id="end_date" />
			</li>
			<li>
				<label for="submit-clear-AdminLog"><br /></label>
				<button type="submit" name="submit-clear-AdminLog" id="submit-clear-AdminLog" data-message ="<?php echo __('Are you sure you want to delete from Admin Actions Log?', 'gbt');?>" class="button button-primary" ><?php echo __('Clear Admin History Log', 'gbt'); ?></button>
			</li>
		</ul>
		<div class="clearfix"></div> 
		<input type="hidden" value="Admin" name="log" />
	</form>   
	<hr />
	<h3><?php echo __('Crawlers Log', 'gbt');?></h3>
	<form method="POST">
		<ul class="fields-container">
			<li>
				<label for="start_date"><?php echo __('Start Date', 'gbt');?></label>
				<input type="text" value="<?php echo @$_REQUEST['s_date']; ?>" name="s_date" id="s_date" />
			</li>
			<li>
				<label for="end_date"><?php echo __('End Date', 'gbt');?></label>
				<input type="text" value="<?php echo @$_REQUEST['e_date']; ?>" name="e_date" id="e_date" />
			</li>
			<li>
				<label for="submit-clear-GBLog"><br /></label>
				<button type="submit" name="submit-clear-GBLog" id="submit-clear-GBLog" data-message="<?php echo __('Are you sure you want to delete from GoogleBot Log?', 'gbt');?>" class="button button-primary" ><?php echo __('Clear Googlebot Crawl Log', 'gbt'); ?></button>
			</li>
		</ul>
		<div class="clearfix"></div> 
		<input type="hidden" value="GoogleBot" name="log" />
	</form>   
	<hr />
</div>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/main.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery.tooltipster.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/style.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/tooltipster.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/themes/tooltipster-shadow.css" />
<script>
jQuery(document).ready(function($) {
	$('.tooltip').tooltipster({
		'offsetY': 25,
		'maxWidth': 500,
		'theme': 'tooltipster-shadow'
	});
});
</script>
