<html>
<head>
	<style type="text/css">
	body {
		font: 10pt sans;
	}
	#mynetwork {
		width: 600px;
		height: 600px;
		border: 1px solid lightgray;
	}
	</style>
	<?php
	$class = new WPBW_Indexsing_Flow();

	$date = (isset($_GET['start_date']) && $_GET['start_date'] != '') ? date('Y-m-d', strtotime($_GET['start_date'])) : '';

	$json = $class->fetch($date);
	$json2 = $class->fetchEdges($date);
	?>
	<!-- <script type="text/javascript" src="../exampleUtil.js"></script> -->
	<script type="text/javascript" src="<?php echo plugins_url(); ?>/wp-botwatch/dist/vis.js"></script>
	<link href="<?php echo plugins_url(); ?>/wp-botwatch/dist/vis.js" rel="stylesheet" type="text/css" />
	<script type="text/javascript">
	var json = JSON.parse('<?php echo json_encode($json); ?>');
	var json2 = JSON.parse('<?php echo json_encode($json2); ?>');
	</script>
	<script type="text/javascript">
	function draw() {
		var nodes = new vis.DataSet(json);
		var edges = new vis.DataSet(json2);
		var data = {
			nodes: nodes,
			edges: edges
		};
		// create a network
		var container = document.getElementById('mynetwork');
		// var directionInput = document.getElementById("direction").value;
		var options = {
			physics: {
				enabled: false,
			},
			layout: {
				hierarchical: {
					nodeSpacing: 200
					// direction: directionInput
				}
			}
		};
		network = new vis.Network(container, data, options);
		// add event listeners
		network.on('select', function (params) {
			document.getElementById('selection').innerHTML = 'Selection: ' + params.nodes;
		});
	}
	</script>
</head>
<body onload="draw();">
	<!-- <p>
		<input type="button" id="btn-UD" value="Up-Down">
		<input type="button" id="btn-LR" value="Left-Right">
		<input type="hidden" id='direction' value="UD">
	</p>-->
	<!-- <script language="javascript">
	var directionInput = document.getElementById("direction");
	var btnUD = document.getElementById("btn-UD");
	btnUD.onclick = function () {
		directionInput.value = "UD";
		draw();
	}
	var btnLR = document.getElementById("btn-LR");
	btnLR.onclick = function () {
		directionInput.value = "LR";
		draw();
	};
	</script> -->
	<br />

	<div id="mynetwork"></div>

	<p id="selection"></p>
</body>
</html>