<html>
<head>
	<script type="text/javascript" src="<?php echo plugins_url(); ?>/wp-botwatch/dist/vis.js"></script>
	<link href="<?php echo plugins_url(); ?>/wp-botwatch/dist/vis.js" rel="stylesheet" type="text/css" />

	<style type="text/css">
	#mynetwork {
		width: 1000px;
		height: 800px;
		border: 1px solid lightgray;
	}
	</style>
</head>
<body>
	<p><?php _e('This shows how the google bot moved through the pages! If one page was visited, it wont be shown again.', 'gbt'); ?></p>
	</div>
	<div id="mynetwork"></div>
	<?php
	$class = new WPBW_Indexsing_Flow();

	$date = (isset($_GET['start_date']) && $_GET['start_date'] != '') ? date('Y-m-d', strtotime($_GET['start_date'])) : '';

	$json = $class->fetch($date);
	$json2 = $class->fetchEdges($date);
	?>
	<script type="text/javascript">
	var json = JSON.parse('<?php echo json_encode($json); ?>');
	var json2 = JSON.parse('<?php echo json_encode($json2); ?>');
	</script>
	<script type="text/javascript">
	var color = 'gray';
	var len = undefined;
	// create an array with nodes
	var nodes = new vis.DataSet(json);
	// create an array with edges
	var edges = new vis.DataSet(json2);
	// create a network
	var container = document.getElementById('mynetwork');
	var data = {
		nodes: nodes,
		edges: edges
	};
	var options = {
		physics: {
			enabled: false,
		}
	};
	var network = new vis.Network(container, data, options);
	</script>
</body>
</html>