<?php
include_once WPBW_TRACKER_PLUGIN_DIR .'classes/Google_Bot_Tracker.php';

use Classes\Google_Bot_Tracker as GBT;
?>    
<div class="wrap">
	<a href="https://wpxhosting.com/" target="_blank"><img src="https://kmediatech.com/images/wpx-logo.svg" width="520" /></a>
	<h2 class="wp-botwatch-title"><strong>WP BotWatch</strong> By <a href="https://wpxhosting.com/page/fast-free-ssl-certificate-installed-in-under-10-seconds/" target="_blank">WPX Hosting</a> (the only WordPress hosting service <a href="https://thrivethemes.com/fast-hosting/" target="_blank">recommended by Thrive Themes</a>)</h2>

	<h2 class="large" style="margin-bottom: 20px"><?php echo __('Events Chronology', 'gbt'); ?></h2>
	<h2><?php echo __('(all tables below are sortable)', 'gbt');?></h2>
	<!-- Forms are NOT created automatically, so you need to wrap the table in one to use features like bulk actions -->
	<form id="submitions-filter" method="get" >
		<hr />
		<div class="post-types">
			<span class="label-types"><?php echo __('Types', 'gbt'); ?></span>
			<ul class="fields-container filter-by">
				<?php
				$post_types = GBT::getPostTypes();
				foreach ($post_types as $post_type) {
					$isChecked = (isset($_GET['p_type']) && in_array($post_type, $_GET['p_type'])) ? 'checked' : '';
					echo '<li><input type="checkbox" '. $isChecked .' name="p_type[]" id="p_type" value="'. $post_type .'">'. $post_type .'</li>';
				}
				?>
			</ul>
		</div>
		<!--  <div class="clearfix"></div> --> 

		<!-- <label for="user_agent"><?php echo __('GoogleBot Type', 'gbt'); ?></label>
		<select name="user_agent" id="user_agent" class="bot-select" data-value="<?php echo __('Choose GoogleBot Type', 'gbt'); ?>">
			<option value=""><?php echo __('Choose GoogleBot Type', 'gbt'); ?></option>    
		<?php
		$user_agents = GBT::getBotAgents();
		foreach ($user_agents as $user_agent) {
			if ($user_agent == @$_REQUEST['user_agent']) {
				echo '<option value="'. $user_agent .'" selected>'. $user_agent .'</option>';
			} else {
		?>
			<option value="<?php echo $user_agent; ?>"><?php echo $user_agent; ?></option>
		<?php
			}
		}
		?>
		</select> -->
		<!-- <div class="clearfix"></div> -->
		<ul class="fields-container">
			<li>
				<label for="start_date"><?php echo __('Start Date', 'gbt'); ?></label>
				<input type="text" value="<?php echo @$_REQUEST['start_date']; ?>" name="start_date" id="start_date" />
			</li>
			<li>
				<label for="end_date"><?php echo __('End Date', 'gbt'); ?></label>
				<input type="text" value="<?php echo @$_REQUEST['end_date']; ?>" name="end_date" id="end_date" />
			</li>
			<li>
				<label for="s"><?php echo __('Search', 'gbt'); ?></label>
				<input type="search" value="<?php echo @$_REQUEST['s']; ?>" name="s" id="post-search-input" />  
			</li>
			<li>
				<label for="search-submit"><br /></label>
				<input type="submit" value="<?php echo __('Filter', 'gbt'); ?>" class="button" id="search-submit" name="search-submit" />
				<input type="button" value="<?php echo __('Clear Form', 'gbt'); ?>" class="button" id="clear-but" name="clear-but" />
			</li>
		</ul>
		<span class='export-csv-googlebot'>
		<?php
		if (!empty($table->items)) {
		?>
			<input type="submit" value="<?php echo __('Export as CSV', 'gbt'); ?>" class="button" id="export-csv" name="export-csv" />
			<input type="hidden" name="file_name" value="<?php echo WPBW_CSV_EVENT_CHRONOLOGY; ?>" />
		<?php
		}
		?>
		</span>
		<div class="clearfix"></div>       
		<!-- For plugins, we also need to ensure that the form posts back to our current page -->
		<input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
		<input type="hidden" name="orderby_" value="<?php echo $_REQUEST['orderby'] ?>" />
		<input type="hidden" name="order_" value="<?php echo $_REQUEST['order'] ?>" />
		<hr />
		<?php $table->display(); ?>
	</form>
</div>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/main.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery.tooltipster.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/style.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/tooltipster.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/themes/tooltipster-shadow.css" />
<script>
jQuery(document).ready(function($) {
	$('.tooltip').tooltipster({
		'offsetY': 25,
		'maxWidth': 500,
		'theme': 'tooltipster-shadow'
	});
});
</script>