<?php
require_once WPBW_TRACKER_PLUGIN_DIR .'wp-botwatch.php';
?>
<div class="wrap">
	<a href="https://wpxhosting.com/" target="_blank"><img src="https://kmediatech.com/images/wpx-logo.svg" width="520" /></a>
	<h2 class="wp-botwatch-title"><strong>WP BotWatch</strong> By <a href="https://wpxhosting.com/page/fast-free-ssl-certificate-installed-in-under-10-seconds/" target="_blank">WPX Hosting</a> (the only WordPress hosting service <a href="https://thrivethemes.com/fast-hosting/" target="_blank">recommended by Thrive Themes</a>)</h2>

	<div class="row">
		<div class="col-md-4">
			<div class="col-md-12">
				<div class="embed-responsive embed-responsive-16by9">
					<iframe class="embed-responsive-item" src="https://player.vimeo.com/video/166359996?byline=0&portrait=0" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
				</div>
			</div>
		</div>
		<div class="col-md-4">
			<div class="col-md-12">
				<div class="embed-responsive embed-responsive-16by9">
					<iframe class="embed-responsive-item" src="https://player.vimeo.com/video/165295439?byline=0&portrait=0" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
				</div>
			</div>
		</div>
		<div class="col-md-4">
			<div class="col-md-12">
				<div class="embed-responsive embed-responsive-16by9">
					<iframe class="embed-responsive-item" src="https://player.vimeo.com/video/165295785?byline=0&portrait=0" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<p style="font-weight: 700; font-size: 20px;">10 Reasons Why WPX Hosting Should Be Your WordPress Hosting Provider:</p>

			<ol>
				<li style="font-size: 18px;">UNLIMITED Free Google-Sponsored SSL Certificates Installed & Active In Under 10 Seconds (<a href="https://wpxhosting.com/page/fast-free-ssl-certificate-installed-in-under-10-seconds/" target="_blank">Watch Video Here</a>)</li>
				<li style="font-size: 18px;">FREE Superfast SSD Servers</li>
				<li style="font-size: 18px;">24/7/365 Live Chat Support From WordPress Experts</li>
				<li style="font-size: 18px;">We Are The ONLY WordPress Hosting Service Recommended By Thrive Themes (<a href="https://thrivethemes.com/fast-hosting/" target="_blank">Read Their Review Here</a>)</li>
				<li style="font-size: 18px;">PHP 7.0 Enabled Now (Plus Earlier Versions)</li>
				<li style="font-size: 18px;">FREE Site Migration Within 24 Hours, 7 Days A Week</li>
				<li style="font-size: 18px;">Fully Managed WordPress Hosting With FREE Email Included (Unlike Many Others)</li>
				<li style="font-size: 18px;">Servers Located In The <a href="http://www.datacenterknowledge.com/special-report-the-worlds-largest-data-centers/worlds-largest-data-center-350-e-cermak/" target="_blank">World's Largest Datacenter</a> Along With America's Financial Infrastructure</li>
				<li style="font-size: 18px;">Fully Supported By <a href="http://terrykyle.com/" target="_blank">Terry Kyle</a> (He Co-Owns WPX Hosting)</li>
				<li style="font-size: 18px;">We Are Trusted With 40 Million+ Page Views Every Month</li>
			</ol>
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<hr />

			<h1 style="font-size: 43px;"><strong>How WP BotWatch Works</strong></h1>

			<p style="font-size: 17px;"><a href="https://terrykyle.com/" target="_blank">By Terry Kyle</a><br />
			Co-owner, <a href="https://wpxhosting.com/" target="_blank">WPX Hosting</a></p>

			<p style="font-size: 17px;">Welcome to WP BotWatch.</p>

			<p style="font-size: 17px;">The purpose of this free plugin is to provide you with much more detailed information about how, when and where Googlebot crawls your WordPress blog/s.</p>

			<p style="font-size: 17px;">The main potential benefit of such information is that you can then much more quickly identify and fix pages and areas of your website that are not well linked together for crawling by Googlebot (it should become obvious very quickly, particularly on the "Crawl Counter" page).</p>

			<p style="font-size: 17px;">It can also show you Pages/Posts that Googlebot is very attracted to and you can potentially add links on such pages to new or important Web properties that you have created in order to get them indexed and/or ranked faster.</p>

			<p style="font-size: 17px;">Plus, for your general SEO knowledge, WP BotWatch can also give you deeper insights into the patterns, biases and operating procedure of Googlebot.</p>

			<p style="font-size: 17px;">On each of the various informational pages for WP BotWatch here, there are <span class="wp-botwatch-info"></span> information icons that explain exactly what each specific function or metric reveals.</p>

			<p style="font-size: 17px;"><strong>IMPORTANT: This is a 1.0 version of this plugin and new updates will eventually add:</strong></p>

			<p style="font-size: 17px;">[a] video walkthrough training, and,</p>

			<p style="font-size: 17px;">[b] other bot tracking such as Bing, Majestic, Ahrefs and Moz.</p>

			<p style="font-size: 17px;">And, you can find more battle-tested, breakthrough SEO information, research and current live testing on my blog at: <a href="https://blog.terrykyle.com/" target="_blank">https://blog.terrykyle.com/</a></p>

			<p style="font-size: 17px;">I look forward to your feedback on this new free plugin via support(at)terrykyle.net</p>

			<p style="font-size: 17px;"><strong>Best regards<br />
			Terry Kyle<br />
			Co-owner, WPX Hosting</strong></p>
		</div>
	</div>
</div>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/main.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery.tooltipster.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/style.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/tooltipster.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/themes/tooltipster-shadow.css" />
<script>
jQuery(document).ready(function($) {
	$('.tooltip').tooltipster({
		'offsetY': 25,
		'maxWidth': 500,
		'theme': 'tooltipster-shadow'
	});
});
</script>