<?php
$class = new WPBW_Indexsing_Flow();
$date = (isset($_GET['start_date']) && $_GET['start_date'] != '') ? date('Y-m-d', strtotime($_GET['start_date'])) : date('Y-m-d');
$date2 = (isset($_GET['end_date']) && $_GET['end_date'] != '') ? date('Y-m-d', strtotime($_GET['end_date'])) : '';
$date3 = new DateTime($date);
$date4 = new DateTime($date2);
$date5 = date_diff($date3, $date4);
$filter = (isset($_GET['filter']) && $_GET['filter'] != '') ? $_GET['filter'] : '';
$checked = ((isset($_GET['recursion'])) && (($date5->days <= 3) || (($date5->days <= 30) && (isset($_GET['filter'])) && ($_GET['filter'] != '')))) ? true : false;
if (($date5->days == 0 && $checked) || !$checked) {
	$possibleHer = 1;
} else {
	$possibleHer = 0;
}
if (isset($_GET['recursion']) && ((($date5->days > 3) && (!(isset($_GET['filter'])) || ($_GET['filter'] == ''))) || ($date5->days > 30))) {
	echo("Cannot show recursions if datestamp exceeds 3 days without search filter or 30 days with search filter! ");
	unset($_GET['recursion']);
}
$json = $class->fetch($date, $date2, $checked, $filter);
$json2 = $class->fetchEdges($date, $date2, $checked, $filter);
?>
<style type="text/css">
#loadingBar{ position: absolute; top: 0; left: 0; width: 96%; height: 527px; background-color: rgba(200, 200, 200, 0.8); -webkit-transition: all .5s ease; -moz-transition: all .5s ease; -ms-transition: all .5s ease; -o-transition: all .5s ease; transition: all .5s ease; opacity: 1; }
#wrapper{ position: relative; height: auto; }
#text{ position: absolute; top: 8px; left: 530px; width: 30px; height: 50px; margin: auto; font-size: 22px; color: #000; }
div.outerBorder{ position: relative; top: 400px; width: 600px; height: 44px; margin: auto; border: 8px solid rgba(0, 0, 0, 0.1); background: #fcfcfc; background: -moz-linear-gradient(top, rgba(252, 252, 252, 1) 0%, rgba(237, 237, 237, 1) 100%); background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(252, 252, 252, 1)), color-stop(100%, rgba(237, 237, 237, 1))); background: -webkit-linear-gradient(top, rgba(252, 252, 252, 1) 0%, rgba(237, 237, 237, 1) 100%); background: -o-linear-gradient(top, rgba(252, 252, 252, 1) 0%, rgba(237, 237, 237, 1) 100%); background: -ms-linear-gradient(top, rgba(252, 252, 252, 1) 0%, rgba(237, 237, 237, 1) 100%); background: linear-gradient(to bottom, rgba(252, 252, 252, 1) 0%, rgba(237, 237, 237, 1) 100%); filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#fcfcfc', endColorstr='#ededed', GradientType=0); border-radius: 72px; box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); }
#border{ position: absolute; top: 10px; left: 10px; width: 500px; height: 23px; margin: auto; box-shadow: 0 0 4px rgba(0, 0, 0, 0.2); border-radius: 10px; }
#bar{ position: absolute; top: 0; left: 0; width: 20px; height: 20px; margin: auto; border-radius: 11px; border: 2px solid rgba(30, 30, 30, 0.05); background: #00adf6; box-shadow: 2px 0 4px rgba(0, 0, 0, 0.4); }
</style>
<link href="<?php echo plugins_url('wp-botwatch') ?>/dist/vis.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/style.css">
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/tooltipster.css" />
<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('wp-botwatch') ?>/assets/css/themes/tooltipster-shadow.css" />
<script type="text/javascript" src="<?php echo plugins_url(); ?>/wp-botwatch/dist/vis.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/saveSvgAsPng.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/main.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery-ui-1.11.4/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo plugins_url('wp-botwatch') ?>/assets/js/jquery.tooltipster.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function($) {
	$('.tooltip').tooltipster({
		'offsetY': 25,
		'maxWidth': 500,
		'theme': 'tooltipster-shadow'
	});
});

var json = JSON.parse('<?php echo json_encode($json); ?>');
var json2 = JSON.parse('<?php echo json_encode($json2); ?>');
</script>

<div class="wrap">
	<a href="https://wpxhosting.com/" target="_blank"><img src="https://kmediatech.com/images/wpx-logo.svg" width="520" /></a>
	<h2 class="wp-botwatch-title"><strong>WP BotWatch</strong> By <a href="https://wpxhosting.com/page/fast-free-ssl-certificate-installed-in-under-10-seconds/" target="_blank">WPX Hosting</a> (the only WordPress hosting service <a href="https://thrivethemes.com/fast-hosting/" target="_blank">recommended by Thrive Themes</a>)</h2>

	<h2 class="large"><?php echo __('Googlebot Crawling Flows', 'gbt');?> <span class="wp-botwatch-info tooltip" title="This draggable graphic shows you how Googlebot crawled your blog in a certain timeframe. TIP: limit images to small date ranges otherwise the image will get massively complicated!"></span></h2>
	<hr />
	<p>The below chart/graphic has draggable elements and gives a visual representation of Googlebot action on this blog for the date range you apply HOWEVER keep these things in mind:</p>
	<p>[1] After you choose a date range by clicking on the Start Date and End Date fields and selecting there, you MUST press the Filter button to execute that snapshot.</p>
	<p>[2] The Hierarchize switch (to change the display configuration) will NOT work for a date range greater than 1 day IF the Recursion setting is checked.</p>
	<p>AND the Filter button MUST be CLICKED ON if a new date range is entered.</p>
	<p>Recursions are when Googlebot ‘doubled back’ to a Post/Page that it had already crawled on this visit.</p>
	<form action="" method="get">
		<input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
		<ul class="fields-container indexing-flow">
			<li>
				<label for="start_date"><?php echo __('Start Date', 'gbt'); ?> <span class="wp-botwatch-info tooltip" title="This is the beginning date of the date range you would like to see a Googlebot graphic for - best results are from small date ranges e.g. 1-3 days, depending on how busy your blog is."></span></label>
				<input type="text" value="<?php if(isset($_GET['start_date'])) { echo @$_REQUEST['start_date'];}else{ echo(date('d.m.Y'));} ?>" name="start_date" id="start_date" class="datepicker-fields">
			</li>
			<li>
				<label for="end_date"><?php echo __('End Date', 'gbt'); ?> <span class="wp-botwatch-info tooltip" title="This is the END date of the date range you would like to see a Googlebot graphic for - best results are from small date ranges e.g. 1-3 days, depending on how busy your blog is."></span></label>
				<input type="text" value="<?php echo @$_REQUEST['end_date']; ?>" name="end_date" id="end_date" class="datepicker-fields">
			</li>
			<!-- li>
				<label for="start_date"><?php echo __('Filter', 'gbt'); ?> <span class="wp-botwatch-info tooltip" title="Example"></span></label>
				<input type="text" value="<?php echo @$_REQUEST['filter']; ?>" name="filter" id="filter">
			</li -->
			<li>
				<label for="search-submit"></label>
				<input type="submit" value="<?php echo __('Filter', 'gbt'); ?>" class="button" id="search-submit" name=""> <span class="wp-botwatch-info tooltip" title="Click here to show graphic results for the Date Range that you have selected. If you have selected or deselected the Recursions switch, you will need to click this Filter button again to update results." style="margin-top: 25px"></span>
			</li>
			<li>
				<span><input type="checkbox" id="recursion" name="recursion" <?php echo (isset($_GET['recursion'])) ? 'checked' : ''; ?> /> Recursions On   <span class="wp-botwatch-info tooltip" title="Recursions are when Googlebot revisits a Post/Page that it has already visited on this crawl. Choosing this option is pretty hard on the software and probably not that valuable - it my be removed in the next minor update."></span></span>
			</li>
			<li>
				<!-- <button class="button" type="button" onclick="resett();" style="margin-top:23px;">Reload</button> -->
				<button id='hierarchize' class="button right-margin" type="button" onclick="changeState();" style="margin-top:23px;"><?php echo __('Hierarchize', 'gbt'); ?></button> <span class="wp-botwatch-info tooltip" title="This button changes the graphic view of results to a more structured, vertical layout BUT change your selected date ranges if you see too much or too little information in this view." style="margin-top: 25px"></span>
			</li>
			<li>
				<button id='unhierarchize' class="button right-margin" type="button" onclick="changeState2();" style="margin-top:23px;"><?php echo __('Unhierarchize', 'gbt'); ?></button> <span class="wp-botwatch-info tooltip" title="This button changes the graphic view of results from the more structured, vertical hierarchical layout back to a more random - but still draggable! - format to view Googlebot action on this site." style="margin-top: 25px"></span>
			</li>
			<li>
				<button id="save-as-image" class="button" type="button" onclick="printChart();" style="margin-top:23px;"><?php echo __('Save As .png', 'gbt'); ?></button> <span class="wp-botwatch-info tooltip" title="Click here to export the graphic screen below as a .png image file - useful for records or analyzing Googlebot action over time on your blog/s." style="margin-top: 25px"></span>
			</li>
		</ul>
	</form>
	<em class='clearfix'></em>
	<div id="error-field"></div>
	<p>
		<div id="wrapper">
			<div id="mynetwork"></div>
			<div id="loadingBar" style='display: none'>
				<div class="outerBorder">
					<div id="text">0%</div>
					<div id="border">
						<div id="bar"></div>
					</div>
				</div>
			</div>
		</div>
		<br />
	</p>
</div>
<script type="text/javascript">
var state = 0;
var options = {
	manipulation: false,

	layout: {
		hierarchical: {
			enabled: false,
			levelSeparation: 300,
			blockShifting: true,
			edgeMinimization: true
		}
	},
	physics: {
		hierarchicalRepulsion: {
			nodeDistance: 300
		}
	},
	nodes: {
		size: 150,
		shape: 'box',
		font: {
			face: 'monospace',
			align: 'left'
		},
		color: {
			background: "#FFCFCF",
			highlight: {
				background: "#FFD700",
			}
		},
		borderWidthSelected: 3,
	},
	edges: {
		arrows: {
			to: {
				enabled: true,
			}
		},
		color: {
			color: "#848484",
			highlight: "#FFD700",
			hover: "#2B7CE9",
		},
		physics: false,
		smooth: {
			type: 'cubicBezier',
		},
		selectionWidth: 2,
	},
	interaction: {
		hover: true,
		keyboard: true,
		navigationButtons: true
	},
};
nodes = new vis.DataSet(json);
edges = new vis.DataSet(json2);
if (nodes.length <= 0) {
	document.getElementById('error-field').innerHTML = "No entries for given time stamp!";
}
var container = document.getElementById('mynetwork');
var data = {'nodes': nodes, 'edges': edges}
var gph = new vis.Network(container, data, options);
if (nodes.length > 0) {
	document.getElementById('loadingBar').style.display = '';
	gph.on("stabilizationProgress", function (params) {
		var maxWidth = 496;
		var minWidth = 20;
		var widthFactor = params.iterations / params.total;
		var width = Math.max(minWidth, maxWidth * widthFactor);
		document.getElementById('bar').style.width = width + 'px';
		document.getElementById('text').innerHTML = Math.round(widthFactor * 100) + '%';
	});
	gph.once("stabilizationIterationsDone", function () {
		document.getElementById('text').innerHTML = '100%';
		document.getElementById('bar').style.width = '496px';
		document.getElementById('loadingBar').style.opacity = 0;
		// really clean the dom element
		setTimeout(function () {
			document.getElementById('loadingBar').style.display = 'none';
		}, 500);
	});
}

/* var hiddenNodes = [];
var hiddenEdges = [];
gph.on('click', function (params) {
	if (!clicked) {
		clicked = true;
		if (params.nodes[0] != undefined) {
			var edgeIds = params.edges;
			var ids = [];
			var moreIds = [];
			// console.log(params.nodes[0]); 
			ids.push(params.nodes[0]);
			for (var i = 0; i < edgeIds.length; i++) {
				ids.push(edges.get(edgeIds)[i].to);
			}

			for (var i = 0; i < edgeIds.length; i++) {
				moreIds.push(edges.get(edgeIds)[i].from);
			}

			// function updateArray(to) {
				var updateArray = [];
				for (var i = 0; i < nodes.length; i++) {
					if ((jQuery.inArray(nodes._data[i].id, ids) == -1) && (jQuery.inArray(nodes._data[i].id, moreIds) == -1)) {
						updateArray.push({id: nodes._data[i].id, hidden: true});
						hiddenNodes.push(nodes._data[i].id);
					}
				}
				nodes.update(updateArray);
			// }
			var edgesNewArray = [];
			for (var i = 0; i < edges.length; i++) {
				if ((jQuery.inArray(edges.getIds()[i], edgeIds) == -1)) {
					edgesNewArray.push({id: edges.getIds()[i], hidden: true});
					hiddenEdges.push(edges.getIds()[i])
					// console.log(edges.get()[i].to);
				}
			}
			edges.update(edgesNewArray);
		}
	}
	ids = [];
	moreIds = [];
	updateArray = [];
	edgesNewArray = [];
});

function reset() {
	// console.log(nodes);
	var hiddennNodes = [];
	for (var i = 0; i < hiddenNodes.length; i++) {
		hiddennNodes.push({id: nodes._data[i].id, hidden: false});
		// console.log(nodes._data[i].id);
	}
	nodes.update(hiddennNodes);

	var hiddennEdges = [];
	for (var i = 0; i < hiddenEdges.length; i++) {
		hiddennEdges.push({id: edges.getIds()[i], hidden: false});
	}
	edges.update(hiddennEdges);
	hiddenNodes = [];
	hiddenEdges = [];
	clicked = false;
} */

function changeState() {
	if (<?php echo($possibleHer); ?> == true) {
		if (state == 0) {
			gph.setOptions({layout: {hierarchical: {enabled: true}}});
			state++;
		}
	} else {
		var error = "<?php echo("Cannot herarchize with recursion if time stamp exceeds 1 day!"); ?>";
		alert(error);
	}
}

function changeState2() {
	if (state == 1) {
		gph.setOptions({layout: {hierarchical: {enabled: false}}});
		state--;
		location.reload();
	}
}

function printChart() {
	var canvas = jQuery('#mynetwork canvas');
	canvas = canvas[0];
	var dataUrl = canvas.toDataURL();
	saveAs(dataUrl, 'file.png');
	/* var svg = jQuery('#mynetwork').find('svg');
	svg = svg[0];

	saveSvgAsPng(svg, "diagram.png", {scale: 0.6}); */

	// var xml  = new XMLSerializer().serializeToString(svg);
	// var data = "data:image/svg+xml;base64," + btoa(xml);
	// console.log(data);

	return false;
}

function saveAs(uri, filename) {
	var link = document.createElement('a');
	if (typeof link.download === 'string') {
		link.href = uri;
		link.download = filename;
		//Firefox requires the link to be in the body
		document.body.appendChild(link);
		//simulate click
		link.click();
		//remove the link when done
		document.body.removeChild(link);
	} else {
		window.open(uri);
	}
}
</script>